Subject: Re: linux-next: Tree for August 4 (olpc_battery)

From: David Woodhouse <[email-masked]>
Date: Mon, 09 Aug 2010 18:17:52 +0100

On Mon, 2010-08-09 at 09:39 -0700, Randy Dunlap wrote:
> On Wed, 4 Aug 2010 09:47:55 -0700 Randy Dunlap wrote:
> 
> > On Wed, 4 Aug 2010 15:10:35 +1000 Stephen Rothwell wrote:
> > 
> > > Hi all,
> > > 
> > > As the merge window is open, please do not add 2.6.27 material to your
> > > linux-next included trees until after 2.6.36-rc1.
> > > 
> > > Changes since 20100803:
> > 
> > 
> > drivers/power/olpc_battery.c:387: error: unknown field 'owner' specified in initializer
> > drivers/power/olpc_battery.c:387: warning: excess elements in struct initializer
> > drivers/power/olpc_battery.c:387: warning: (near initialization for 'olpc_bat_eeprom.attr')
> > 
> > 
> > The .owner field has been dropped from the attr struct.
> 
> 
> Build still fails in linux-next 20100809.

Anton, please pull from git://git.infradead.org/~dwmw2/battery-2.6.git
(or I can just push it, but I figured I'd ask first).

-- 
David Woodhouse                            Open Source Technology Centre
[email-masked]                              Intel Corporation